<template>
  <a-table :columns="columns" :data-source="data" row-key="id" size="small" bordered :loading="loading" />
</template>
<script>
export default {
  name: 'AssemblyInfo',
  data() {
    return {
      loading: false,
      data: [],
      columns: [
        { title: '工单编号', align:"center",dataIndex: 'workOrder' },
        { title: '部件编码', align:"center",dataIndex: 'partCode' },
        { title: '部件名称', align:"center",dataIndex: 'part' },
        { title: '装配时间', align:"center",dataIndex: 'time' },
        { title: '操作人', align:"center",dataIndex: 'operator' }
      ]
    }
  },
  mounted() { this.fetchData() },
  methods: {
    fetchData() {
      this.loading = true
      // TODO: 加载装配履历数据
      setTimeout(() => {
        this.data = []
        this.loading = false
      }, 1000)
    }
  }
}
</script>
